DotOsgWrapper File Reference
`#include <osg/ref_ptr>`
`#include <osg/Object>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | osgDB::DotOsgWrapper
class | osgDB::DeprecatedDotOsgWrapperManager
class | osgDB::RegisterDotOsgWrapperProxy
class | osgDB::TemplateRegisterDotOsgWrapperProxy< T >

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_DOTOSGWRAPPER 1
#define | REGISTER_DOTOSGWRAPPER(classname)

## Macro Definition Documentation

## OSGDB_DOTOSGWRAPPER

#define OSGDB_DOTOSGWRAPPER 1

## REGISTER_DOTOSGWRAPPER

#define REGISTER_DOTOSGWRAPPER | ( |  | classname | ) |

Value:
extern "C" void dotosgwrapper_##classname(void) {} \
static osgDB::RegisterDotOsgWrapperProxy dotosgwrapper_proxy_##classname
osgDB::RegisterDotOsgWrapperProxy
Definition DotOsgWrapper:132